filename xlstyles temp;

data _null_;

   file xlstyles;

   set sashelp.vstyle;
   where style ne 'Styles.D3D';
   
   stylename = scan(style, 2, '.');
   stylefile = cats(style, '.xls');

   put 'ods tagsets.excelxp style=' stylename 
       '      options(sheet_name=' stylename $quote. ')'
     / '      file=' stylefile $quote. ';'  
     / 'title ' stylename $quote. ';'
     / 'proc print data=sashelp.class;'
     / 'run;'
     / 'ods tagsets.excelxp close;' ;

run;

%include xlstyles / nosource2;

filename xlstyles clear;
